node@0.12.0在android运行,支持express
发布于 7 年前 作者 chuchangming 5308 次浏览 最后一次编辑是 5 年前 来自 分享

编译环境

CnetOS 7 NDKr10d Python 2.7.9

存在问题

Android 5.0 PIE安全机制原因,编译的时候不知道怎么加入flag,导致5.0及以上android设备会出现 error: only position independent executables (pie) are supported.

二进制下载地址(ARM)

百度云盘

6 回复

这个太酷了,以前一直没找到合适的,下来试试

@andyhu 你的能用么,我怎么不能用。安卓4.2

@motecshine 还没测试,看样子应该是直接执行的吧?应该需要terminal console才可,不是apk。

@andyhu 对头,使用控制台执行的。

内置一个httpserver不难阿,这么费劲,何益?

回到顶部